Subject: Re: [PATCH v1 2/4] ref: add regular ref content check for files backend

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Aug 2024 09:13:38 -0700

Patrick Steinhardt <[email-masked]> writes:

> So any reference that contains additional data is not a proper ref and
> thus should be warned about from my point of view. No Git tooling should
> write them, so if something does it's a red flag to me.

If you find such a file in $GIT_DIR/refs/ hierarchy, because our
consumer side has been looser than necessary forever, and we never
have written such a file ourselves, it is a sign that a third-party
tool wrote it, and that the third-party tool used our reader
implementation as the specification.  That is why I am hesitant to
retroactively tighten the rules like this patch does.

Thanks.